Cannoli_2.12: Core 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliFn
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- LongMinimap2
- LongUnimap
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndBwaMem
- SingleEndBwaMem2
- SingleEndMinimap2
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli

# BwaMem2Args 

###

#### class BwaMem2Args extends ReadGroupArgs

Bwa-mem2 function arguments.

Linear Supertypes
ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BwaMem2Args
2. ReadGroupArgs
3. Args4jBase
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BwaMem2Args()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  def createReadGroup(): ReadGroup

   Create a read group from the arguments in this class.

   Create a read group from the arguments in this class.

   returns

     a read group created from the arguments in this class.

   Definition Classes
     ReadGroupArgs
8.  var doPrintUsage: Boolean
   Definition Classes
     Args4jBase
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  var executable: String
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  var image: String
17.  var indexPath: String
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  var keySequence: String
    Definition Classes
      ReadGroupArgs
20.  var library: String
    Definition Classes
      ReadGroupArgs
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  var platform: String
    Definition Classes
      ReadGroupArgs
25.  var platformModel: String
    Definition Classes
      ReadGroupArgs
26.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
27.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
28.  var readGroup: ReadGroup

    Read group, to specify directly.

    Read group, to specify directly.

    Definition Classes
      ReadGroupArgs
29.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
30.  var runDate: Long
    Definition Classes
      ReadGroupArgs
31.  var sampleId: String
    Definition Classes
      ReadGroupArgs
32.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
33.  var sudo: Boolean
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  var useDocker: Boolean
37.  var useSingularity: Boolean
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped